def str=''
for (aud in audio) {
    def shortD = aud.Format
    def res = aud.Format_Commercial
	switch (shortD) {
		case "AC-3"	-> res = "DD"
		case "E-AC-3" -> res = "DD+"
		case "MPEG Audio" -> res = "MPEG"
		case "DTS" -> { if (res.contains("Master Audio")) res="DTS_MA"
                        else if (res.contains("DTS-HD High Resolution Audio")) res="DTS_HRA"}
        case "MLP FBA" -> {def tmp = "D_HD"; if (res.contains("Atmos")) tmp+="_Atmos"; res = tmp}
	}
    str += shortD + ': ' +res+', '
}
str